package com.pcloud.book.applet.biz;

import com.pcloud.book.applet.entity.AppletSubscribeSend;
import com.pcloud.common.page.PageBeanNew;
import java.util.List;

/**
 * (AppletSubscribeSend)表服务接口
 *
 * @author wubo 
 * @since 2022-05-24 15:59:27
 */
public interface AppletSubscribeSendBiz {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    AppletSubscribeSend getById(Long id);

    /**
     * 分页查询
     */
    PageBeanNew getList(Integer currentPage, Integer numPerPage);

    /**
     * 新增数据
     *
     * @param appletSubscribeSend 实例对象
     * @return 主键
     */
    Long insert(AppletSubscribeSend appletSubscribeSend);

    /**
     * 修改数据
     *
     * @param appletSubscribeSend 实例对象
     */
    void update(AppletSubscribeSend appletSubscribeSend);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    void deleteById(Long id);

    /**
     * 通过主键软删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    void softDeleteById(Long id);

    void subscribeSend();
}
